Rule.Phoneme (Encode/Decode Utilities (Version 1.10))
Date: 2018-05-06

org.apache.commons.codec.language.bm

## Class Rule.Phoneme

- java.lang.Object
- - org.apache.commons.codec.language.bm.Rule.Phoneme

- All Implemented Interfaces:
    Rule.PhonemeExpr
  Enclosing class:
    Rule

      public static final class Rule.Phoneme
      extends java.lang.Object
      implements Rule.PhonemeExpr

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Comparator<Rule.Phoneme>` | `COMPARATOR`
    `private Languages.LanguageSet` | `languages`
    `private java.lang.StringBuilder` | `phonemeText`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rule.Phoneme(java.lang.CharSequence phonemeText, Languages.LanguageSet languages)`
    `Rule.Phoneme(Rule.Phoneme phonemeLeft, Rule.Phoneme phonemeRight)`
    `Rule.Phoneme(Rule.Phoneme phonemeLeft, Rule.Phoneme phonemeRight, Languages.LanguageSet languages)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Rule.Phoneme` | `append(java.lang.CharSequence str)`
    `Languages.LanguageSet` | `getLanguages()`
    `java.lang.Iterable<Rule.Phoneme>` | `getPhonemes()`
    `java.lang.CharSequence` | `getPhonemeText()`
    `Rule.Phoneme` | `join(Rule.Phoneme right)` Deprecated. since 1.9
    `Rule.Phoneme` | `mergeWithLanguage(Languages.LanguageSet lang)` Returns a new Phoneme with the same text but a union of its current language set and the given one.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COMPARATOR

          public static final java.util.Comparator<Rule.Phoneme> COMPARATOR

    - #### phonemeText

          private final java.lang.StringBuilder phonemeText

    - #### languages

          private final Languages.LanguageSet languages

  - ### Constructor Detail

    - #### Rule.Phoneme

          public Rule.Phoneme(java.lang.CharSequence phonemeText,
                      Languages.LanguageSet languages)

    - #### Rule.Phoneme

          public Rule.Phoneme(Rule.Phoneme phonemeLeft,
                      Rule.Phoneme phonemeRight)

    - #### Rule.Phoneme

          public Rule.Phoneme(Rule.Phoneme phonemeLeft,
                      Rule.Phoneme phonemeRight,
                      Languages.LanguageSet languages)

  - ### Method Detail

    - #### append

          public Rule.Phoneme append(java.lang.CharSequence str)

    - #### getLanguages

          public Languages.LanguageSet getLanguages()

    - #### getPhonemes

          public java.lang.Iterable<Rule.Phoneme> getPhonemes()

      Specified by:
        `getPhonemes` in interface `Rule.PhonemeExpr`

    - #### getPhonemeText

          public java.lang.CharSequence getPhonemeText()

    - #### join

          @Deprecated
          public Rule.Phoneme join(Rule.Phoneme right)

      Deprecated. since 1.9
      Deprecated since 1.9.
      Parameters:
        `right` - the Phoneme to join
      Returns:
        a new Phoneme

    - #### mergeWithLanguage

          public Rule.Phoneme mergeWithLanguage(Languages.LanguageSet lang)

      Returns a new Phoneme with the same text but a union of its current language set and the given one.
      Parameters:
        `lang` - the language set to merge
      Returns:
        a new Phoneme

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

commons-codec version 1.10 - Copyright © 2002-2018 - Apache Software Foundation